org.apache.sysds.runtime.instructions.cp

## Class BooleanObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.instructions.cp.ScalarObject
    - - org.apache.sysds.runtime.instructions.cp.BooleanObject

- All Implemented Interfaces:
    Serializable

      public class BooleanObject
      extends ScalarObject

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BooleanObject(boolean val)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanValue()`
    `double` | `getDoubleValue()`
    `String` | `getLanguageSpecificStringValue()`
    `long` | `getLongValue()`
    `int` | `getSize()`
    `String` | `getStringValue()`
    `Object` | `getValue()`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ScalarObject

      `getDebugName, toString`

    - ### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

      `getDataType, getMetaData, getPrivacyConstraint, getValueType, removeMetaData, setMetaData, setPrivacyConstraints, updateDataCharacteristics`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanObject

          public BooleanObject(boolean val)

  - ### Method Detail

    - #### getBooleanValue

          public boolean getBooleanValue()

      Specified by:
        `getBooleanValue` in class `ScalarObject`

    - #### getLongValue

          public long getLongValue()

      Specified by:
        `getLongValue` in class `ScalarObject`

    - #### getDoubleValue

          public double getDoubleValue()

      Specified by:
        `getDoubleValue` in class `ScalarObject`

    - #### getStringValue

          public String getStringValue()

      Specified by:
        `getStringValue` in class `ScalarObject`

    - #### getLanguageSpecificStringValue

          public String getLanguageSpecificStringValue()

      Overrides:
        `getLanguageSpecificStringValue` in class `ScalarObject`

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in class `ScalarObject`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `ScalarObject`

Copyright © 2020 The Apache Software Foundation. All rights reserved.